Skip to Content
0

Gateway system upgrade - How to retain old UI5 library version

Apr 04, 2017 at 06:54 AM

53

avatar image
Former Member

Hi Experts,

In our SAP landscape, we use a hub architecture for gateway system.

There are many custom apps, which were developed using SAP UI 5 library version 1.20.

Now we want to upgrade the gateway system to use new FIORI apps and to utilize the latest UI5 libraries to develop any new custom app in future.

The problem is when we upgrade the gateway system, we lose the SAP UI5 library version 1.20 on which many old apps are built on. We want to avoid redesigning those old applications.

I've also read that SAP is going to deprecating the SAP.UI.COMMONS library in the latest version. All our apps are based on this library only. So we will have to move to SAP.M.

Is there a way to protect the SAP UI5 library version 1.20 in the server and still use the latest libraries for new application ?

Library comparison

Please help.

Regards,

Rohit

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Jun Wu Apr 04, 2017 at 12:52 PM
0

if you are using fiori launchpad, there will only one version. if use old version, then what's point of upgrade?

are u running your app standalone?

Share
10 |10000 characters needed characters left characters exceeded